Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 614084 - net-im/vacuum-1.2.4 : /.../messagearchiver.cpp:13:76: error: unable to find string literal operator ‘operator""NS_ARCHIVE_OLD’ with ‘const char [31]’, ‘long unsigned int’ arguments
Summary: net-im/vacuum-1.2.4 : /.../messagearchiver.cpp:13:76: error: unable to find s...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Maxim Koltsov
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-6
  Show dependency tree
 
Reported: 2017-03-27 17:13 UTC by Toralf Förster
Modified: 2017-04-16 18:59 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,5.71 KB, text/plain)
2017-03-27 17:14 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,84.83 KB, text/plain)
2017-03-27 17:14 UTC, Toralf Förster
Details
environment (environment,119.75 KB, text/plain)
2017-03-27 17:14 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,21.89 KB, application/x-bzip)
2017-03-27 17:14 UTC, Toralf Förster
Details
net-im:vacuum-1.2.4:20170327-124843.log (net-im:vacuum-1.2.4:20170327-124843.log,343.88 KB, text/plain)
2017-03-27 17:14 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,39.14 KB, application/x-bzip)
2017-03-27 17:14 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-03-27 17:13:59 UTC
                               ^
/var/tmp/portage/net-im/vacuum-1.2.4/work/vacuum-1.2.4/src/plugins/messagearchiver/messagearchiver.cpp: In member function ‘void MessageArchiver::onStreamOpened(IXmppStream*)’:
/var/tmp/portage/net-im/vacuum-1.2.4/work/vacuum-1.2.4/src/plugins/messagearchiver/messagearchiver.cpp:13:76: error: unable to find string literal operator ‘operator""NS_ARCHIVE_OLD’ with ‘const char [31]’, ‘long unsigned int’ arguments
 #define SHC_PREFS_OLD         "/iq[@type='set']/pref[@xmlns="NS_ARCHIVE_OLD"]"

                                                                            ^

  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named plasma-abi32+64_20170325-144619) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.3.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby21 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.3.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
Comment 1 Toralf Förster gentoo-dev 2017-03-27 17:14:02 UTC
Created attachment 468442 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-03-27 17:14:05 UTC
Created attachment 468444 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2017-03-27 17:14:08 UTC
Created attachment 468446 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2017-03-27 17:14:11 UTC
Created attachment 468448 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2017-03-27 17:14:13 UTC
Created attachment 468450 [details]
net-im:vacuum-1.2.4:20170327-124843.log
Comment 6 Toralf Förster gentoo-dev 2017-03-27 17:14:16 UTC
Created attachment 468452 [details]
temp.tbz2
Comment 7 Peter Levine 2017-03-28 02:08:45 UTC
Seems to be fixed upstream: https://github.com/Vacuum-IM/vacuum-im/commit/04ad04b220baf31555aee0ee994be10812caac0e
Comment 8 David Seifert gentoo-dev 2017-04-16 18:59:21 UTC
commit d760f1ee4069d1773c62d8aca2ce71e1abb0b668
Author: Peter-Levine <plevine457@gmail.com>
Date:   Mon Mar 27 22:57:43 2017 -0400

    net-im/vacuum: Fix building with GCC-6 (bug #614084)